package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.UserChangeRecordE;

/**
 * web-domain
 *
 * @Author SondonYong
 * @Date 2025-12-02 14:08:19
 */
public interface UserChangeRecordGateway {

    /**
     * 新增
     */
    Boolean add(UserChangeRecordE userChangeRecordE);

    /**
     * 修改
     */
    Boolean update(UserChangeRecordE userChangeRecordE);

    /**
     * 删除
     */
    Boolean deletedUserChangeRecordById(Long id);

    Boolean deletedUserChangeRecordByIds(Long[] id);
}

